Last Comment Bug 313662 - SeaMonkey build that builds XForms won't load an XForm
: SeaMonkey build that builds XForms won't load an XForm
Status: RESOLVED FIXED
: fixed1.8.0.2, fixed1.8.1
Product: Core
Classification: Components
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Allan Beaufour
: Stephen Pride
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-24 15:23 PDT by aaronr
Modified: 2006-07-07 10:07 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (1.24 KB, patch)
2005-10-25 08:23 PDT, Allan Beaufour
doronr: review+
Details | Diff | Review

Description aaronr 2005-10-24 15:23:00 PDT
If I build Seamonkey trunk and fire up Seamonkey.exe from objdbg/dist/bin, xforms does not load in when I go to an xform.  I think that the problem is that there is no longer an xforms.dll under objdbg/dist/bin/components.  Doron believes that this could also be broken in a Minimo build.
Comment 1 Allan Beaufour 2005-10-25 06:33:37 PDT
(In reply to comment #0)
> If I build Seamonkey trunk and fire up Seamonkey.exe from objdbg/dist/bin,
> xforms does not load in when I go to an xform.

I haven't built Seamonkey for ages... I'll check out a fresh version and see for my self.

>  I think that the problem is that there is no longer an xforms.dll under 
> objdbg/dist/bin/components.  Doron believes that this could also be broken in 
> a Minimo build.

After bug 298431 has been checked in, it does not install into dist/bin/components anymore. It installs into:
dist/bin/extensions/{cf2812dc-6a7c-4402-b639-4d277dac4c36}

Either this is not working for Seamonkey, or the application and/or version information in install.rdf is wrong.
Comment 2 Allan Beaufour 2005-10-25 08:23:34 PDT
Created attachment 200748 [details] [diff] [review]
Patch

Ah, we need to wrap the XPI_NAME stuff inside ifdef MOZ_XUL_APP, because SeaMonkey expects stuff in components, and not as extensions.
Comment 3 Allan Beaufour 2005-10-25 09:55:05 PDT
Checked in to trunk
Comment 4 Stephen Donner [:stephend] - PTO; back on 5/28 2005-10-25 21:53:52 PDT
*** Bug 313835 has been marked as a duplicate of this bug. ***
Comment 5 aaronr 2006-02-02 17:11:18 PST
checked into MOZILLA_1_8_BRANCH via bug 323691.  Leaving open for now until it gets into 1.8.0
Comment 6 Zbigniew Luszpinski 2006-02-05 20:05:20 PST
This bug still exists in:
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060205 SeaMonkey/1.0

built with:
--enable-extensions="default,xforms,schema-validation"
--enable-canvas

Pages checked:
http://www.mozilla.org/projects/xforms/samples/calc_svg_1010.xhtml
http://www.mozilla.org/projects/xforms/samples/tax_form/TaxForm.xhtml
http://www.mozilla.org/projects/xforms/samples/insurance_form/app_certificates.xhtml

Firefox 1.5 renders OK. Seamonkey 1.0 not yet.
Comment 7 Allan Beaufour 2006-02-06 02:37:15 PST
(In reply to comment #6)
> This bug still exists in:
> Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060205
> SeaMonkey/1.0
>
> Firefox 1.5 renders OK. Seamonkey 1.0 not yet.

That's because it is not checked in on the 1.8.0 tree yet.
Comment 8 Allan Beaufour 2006-02-06 03:21:28 PST
Checked in on 1_8_0.

Checking in Makefile.in;
/cvsroot/mozilla/extensions/xforms/Makefile.in,v  <--  Makefile.in
new revision: 1.38.2.3.2.2; previous revision: 1.38.2.3.2.1
done
Comment 9 aaronr 2006-07-07 10:07:52 PDT
verfied fixed on MOZILLA_1_8_BRANCH

Note You need to log in before you can comment on or make changes to this bug.